Shinon Chan Shinon Chan - 16 days ago 19
Ruby Question

Libraries missing for ruby-2.2.4

I am trying to recompile my ruby because pry stopped working.

This is the error I'm getting.

Sorry, you can't use Pry without Readline or a compatible library.


I did

brew update
rvm get head
rvm cleanup all
rvm reinstall ruby-2.2.4


But I'm still getting errors during the installation and can not get pry working.

Libraries missing for ruby-2.2.4: /Users/travis/.rvm/rubies/ruby-2.2.4/lib/libruby.2.2.0.dylib. Refer to your system manual for installing libraries


and

Error running '__rvm_patch -F 25 -p1 -N -f -i /Users/kel/.rvm/patches/ruby/2.2.4/openssl3.patch',
showing last 15 lines of /Users/kel/.rvm/log/1479717703_ruby-2.2.4/patch.apply.openssl3.log


Any help would be appreciated. Thanks.

Answer

This might help you.

brew rm openssl
brew cleanup openssl
brew install openssl